/* Copyright (c) 2004, Noah Sorscher
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 	 	Redistributions of source code must retain the above copyright
 * 	notice, this list of conditions and the following disclaimer.
 * 	 	Redistributions in binary form must reproduce the above copyright
 * 	notice, this list of conditions and the following disclaimer in the
 * 	documentation and/or other materials provided with the distribution.
 * 	 	Neither the name of the Noah Sorscher nor the names of its
 * 	contributors may be used to endorse or promote products derived from
 * 	this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */
// defaults.h
// Define the default values

#define t_constrainAspectRatio	@"ConstrainAR"
#define t_numberOfAutoColumns	@"numAutoCol"
#define t_movieData		@"movieData"
#define t_categories		@"categories"
#define t_cols			@"columnOrder"
#define t_lastIndex		@"lastIndex"
#define t_remember		@"rememberPlaylist"
#define t_saveFolder		@"saveDirectory"
#define t_saveSize		@"saveSize"
#define t_toSize		@"resizeOnOpen"
#define t_whichSize		@"resizeNormalOrDouble"
#define t_searchChap		@"searchChapters"
#define t_searchPrev		@"searchFromPrevSearch"
#define t_saveType		@"toFlattenOrReference"
#define t_playOn		@"playlist"
#define t_interval		@"timeInterval"
#define t_ff			@"ffSpeed"
#define t_showCont		@"showControllerInFullScreen"
#define t_searchPhrase		@"searchAndOrExact"
#define t_numPerformers		@"nubmerOfPerformers"
#define t_commentText		@"commentText"
#define t_updateFN		@"updateFileName"
#define t_album			@"album"
#define t_author		@"author"
#define t_comment		@"comment"
#define t_copy			@"copy"
#define t_credate		@"creationDate"
#define t_fname			@"fullName"
#define t_desc			@"description"
#define t_dir			@"director"
#define t_info			@"information"
#define t_perf			@"performers"
#define t_prod			@"productionCode"
#define t_writ			@"writer"
#define t_saveBeep		@"beepWhenSaving"
#define t_ask			@"askForMovedMovies"
#define t_jumpBy		@"jumpBy"
#define t_pathLevels		@"pathLevels"

#define t_chaptersCount		100
#define t_cacheCount		100