//
//  MHString.h
//  Hootenanny
//
//  Created by Noah Sorscher on 12/18/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString (MHString)


- (void)getSafeCString:(void *)buffer;
- (BOOL) hasExtension:(NSArray *)exts;
- (NSString *) extension;
- (NSString *) extensionRemoved;
- (int) hasIndex;
- (NSString *) substringToString:(NSString *)sub;
- (NSString *) substringFromString:(NSString *)sub;
- (NSString *) extensionLessSharedPrefix:(NSArray *)choices;
- (BOOL) hasCaseInsensitivePrefix:(NSString *)pref;
- (NSArray *) extensionsFromArray:(NSArray *)choices;
- (NSString *)reverse;

@end
