/* oSprite */

#import <Cocoa/Cocoa.h>

@interface oSprite : NSObject
{
    NSMutableDictionary *dict;
    NSString *myName;
    id myParent;
    NSSize mySize;
    id myValue;
    NSImage *myImage;
    int myAction;
    BOOL added;
}

- (id)initWithParent:(id)parent;
- (NSDictionary *)defsEntry;
- (id)initWithDefsEntry:(NSDictionary *)entry parent:(id)parent;
- (id)parent;
- (NSString *)description;
- (NSString *)name;
- (void)setName:(NSString *)name;
- (NSSize)size;
- (void)setSize:(NSSize)size;
- (void)setDefaultSize:(NSSize)size;
+ (void)setDefaultSize:(NSSize)size;
- (int)action;
- (void)setAction:(int)anAction;
- (id)value;
- (void)setValue:(id)value;
- (void)setImage:(NSImage *)image;
- (NSImage *)image;
- (BOOL)added;
- (void)setAdded:(BOOL)flag;

- (id)childAtIndex:(int)index;
- (int)numberOfChildren;
- (BOOL)isExpandable;
- (id)objectForKey:(id)key;
- (BOOL)shouldEditKey:(id)key;
- (void)setObject:(id)object forKey:(id)key;
@end
