//
//  tImageBuffer.h
//  Hootenanny
//
//  Created by Noah Sorscher on Sun Mar 30 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Cocoa/Cocoa.h>


@interface tImageBuffer : NSObject {
    NSMutableDictionary *theImages, *anchor;
    long maxImages;
    long currentSize;
}

- (tImageBuffer *)init;
- (void)setMaxSize:(long)numImages;

- (void)setImage:(NSImage *)anImage forIndex:(long)index;
- (NSImage *)imageForIndex:(long)index;

- (void)removeObject:(NSDictionary *)dict;
- (void)extractObject:(NSDictionary *)dict;
- (void)push:(NSMutableDictionary *)dict;
- (void)pop;
- (void)empty;

@end
