/* tlController */

#import <Cocoa/Cocoa.h>
#import <QuickTime/QuickTime.h>
//#import "tImageBuffer"
//#import "tTimeline.h"

@interface tlController : NSObject
{
    IBOutlet id fakeMovieView, window;
    
    NSURL *currentURL;
    NSMovie *currentMovie;
    GWorldPtr gSrcGWorld;
    Movie gMovie;
    int movieWidth;
}

- (void)awakeFromNib;

- (BOOL)openMovie:(NSURL *)url;
- (void)setHeight:(int)height;

- (void)debug;

- (NSData *)getImage:(TimeValue)time;
- (NSData *)getImage:(TimeValue)time sender:(NSString *)senderID;
- (NSData *)getImage:(TimeValue)time sender:(NSString *)senderID transparency:(NSColor *)keyColor;

- (void)quit;

- (void)initMovie;
- (void)clear;
-(NSImage *)gworldToNSImage:(GWorldPtr) gWorldPtr;
-(NSImage *)gworldToNSImage:(GWorldPtr) gWorldPtr transparency:(NSColor *)keyColor;

@end
